Twitter Plugin - Defect #360

sending tweet gives 'Unexplained failure for tweet’
08/20/2011 02:29 PM - Robert Ivens

Status: Closed Start date: 08/20/2011
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

| send out 3 tweets and all 3 gave the same error. However the tweets did get send.
Seems Twitter changed something in the API.

JavaException: winterwell. jtwitter.TwitterException$Unexplained: Unexplained failure for tweet: ex
pected "Sutra v2.5 is soon to be released. New features descriptions and videos posted. https://ww
w.servoyforge.net/news/136 #servoy #opensource" but got Dialog Module 1.1.3 released - Fixes a na
ming- and icon display issue. https://www.servoyforge.net/news/132 #servoy #opensource
JavaException: winterwell.jtwitter.TwitterException$Unexplained: Unexplained failure for tweet: ex
pected "VelocityReport plugin v1.4.16 - bugfix release - https://www.servoyforge.net/news/140 #ser
voy #opensource" but got Sutra v2.5 is soon to be released. New features descriptions and videos p
osted. http://t.co/tMLyocl #servoy #opensource

JavaException: winterwell. jtwitter.TwitterException$Unexplained: Unexplained failure for tweet: ex
pected "Embedded QuickTime player bean for Smart client released! (web client will follow) https:/
/www.servoyforge.net/news/139 #servoy #opensource" but got VelocityReport plugin v1.4.16 - bugfix
release - http://t.co/ebGUEZQ #servoy #opensource

History

#1 - 08/20/2011 02:43 PM - Robert Ivens

- Description updated

#2 - 08/20/2011 05:07 PM - Patrick Talbot

- Status changed from New to In Progress

Yes, it seems to be happening with the new URL shortnener, WTF?
Not sure what to do about it...
Will try to update the JTwitter lib

#3 - 08/20/2011 05:11 PM - Robert Ivens

Perhaps the lib barks about the differences in the string sent and the one returned or something ? Very weird.

#4 - 08/20/2011 07:16 PM - Patrick Talbot

- Status changed from In Progress to Closed

Fixed with v1.0.3 - make sure to update both plugin + jtwitter.jar (and the jnip)

#5 - 10/27/2011 12:52 PM - Robert Ivens

- Status changed from Closed to Reopened

The same problem is back.
Since the 25th of October the tweets getting this error again. Strangely enough though some don't (but the majority does).

#6 - 10/27/2011 03:44 PM - Robert lvens

Now | read the error message better it seems there is some caching going on in the plugin or something.
See the errror (emphasis mine):
sendTweet: JavaException: winterwell jtwitter. TwitterException$Unexplained: Unexplained failure for tweet: expected

"Lastminute chaletaanbieding v.a. 49,- http:/Imtw.nl/nb Super #lastminute #herfstvakantie aanbieding! Boek direct uw verblijf.Kijk snel.."”
but got

Euroknaller! Vakantiepark Hunzedal. Midweekje Vakantiepark Hunzedal, plezier voor jong en oud. 7 tm 11-11, NU 5,- pppn
http://t.co/EhEKOFQM

The first one is indeed the tweet. The second one is an old tweet it has send.

#7 - 10/27/2011 08:22 PM - Patrick Talbot

? | wasn't aware of any cache in the plugin, at least not in my code.

I'll have a look, thanks for reporting.

#8 - 10/28/2011 12:01 AM - Patrick Talbot

- Status changed from Reopened to Closed

Updated JTwitter API + adapted for the changes to workaround Twitter API changes (again!)

Check-out v1.1
